GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
geos::operation::valid::TopologyValidationError Class Reference

Contains information about the nature and location of a Geometry validation error. More...

`#include <TopologyValidationError.h>`

## Public Types

enum | errorEnum { eError, eRepeatedPoint, eHoleOutsideShell, eNestedHoles, eDisconnectedInterior, eSelfIntersection, eRingSelfIntersection, eNestedShells, eDuplicatedRings, eTooFewPoints, eInvalidCoordinate, eRingNotClosed }

## Public Member Functions

| TopologyValidationError (int newErrorType, const geom::Coordinate &newPt)
| TopologyValidationError (int newErrorType)
geom::Coordinate & | getCoordinate ()
std::string | getMessage ()
int | getErrorType ()
std::string | toString ()

## Detailed Description

Contains information about the nature and location of a Geometry validation error.

The documentation for this class was generated from the following file:

- TopologyValidationError.h